# DocumentComponentEditorConstructor class Null safety

Inheritance
  - Object
  - ComponentEditorConstructor
  - DocumentComponentEditorConstructor

## Constructors

DocumentComponentEditorConstructor()

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

createNewComponent(AppModel app, BuildContext context, EditorFeedback feedback) → void
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed. [...]
  inherited
revalidateEntity(AppModel app, dynamic entity) → dynamic
  inherited
toString() → String
  A string representation of this object. [...]
  inherited
updateComponent(AppModel app, BuildContext context, dynamic model, EditorFeedback feedback) → void
  override
updateComponentWithID(AppModel app, BuildContext context, String id, EditorFeedback feedback) → void
  override

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited